import React, { Component } from 'react';
import { withRouter } from "react-router-dom";
import { api, http, getParam, isLogin } from "@/utils";

class Loading extends Component {


    async componentDidMount() {

        let code = getParam('code')
        let {history, state, location} = this.props


        if (code) {

            http.get(`${api['base-api']}/m/wx_loginInfo/code/${code}`)
                .then(res => {
                    console.log(res);
                })


        } else {

            if (isLogin) {
                console.log(location.pathname);
                // history.replace(location.pathname)
            } else {
                console.log(state);
                history.replace('/passport', {...state})

            }
        }
    }


    render() {
        return (
            <div className={'loading'}>
                loading...
            </div>
        );
    }
}

export default withRouter(Loading)